0 Replies Latest reply on Jun 2, 2018 11:44 AM by aaron_sf

    non-compliant host - can't upgrade or install patches

    aaron_sf Novice

      I think i may have at some point manually installed some VIB on this host (but can't remember) and now I can't upgrade it from 6.0 to 6.5 .. i'm seeing errors in the logs such as:

       

      2018-06-02T06:41:24Z esxupdate: 71318: esxupdate: ERROR: An esxupdate error exception was caught:

      2018-06-02T06:41:24Z esxupdate: 71318: esxupdate: ERROR: Traceback (most recent call last):

      2018-06-02T06:41:24Z esxupdate: 71318: esxupdate: ERROR:   File "/usr/sbin/esxupdate", line 239, in main

      2018-06-02T06:41:24Z esxupdate: 71318: esxupdate: ERROR:     cmd.Run()

      2018-06-02T06:41:24Z esxupdate: 71318: esxupdate: ERROR:   File "/build/mts/release/bora-4887370/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esx5update/Cmdline.py", line 148, in Run

      2018-06-02T06:41:24Z esxupdate: 71318: esxupdate: ERROR:   File "/build/mts/release/bora-4887370/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 262, in InstallVibsFromSources

      2018-06-02T06:41:24Z esxupdate: 71318: esxupdate: ERROR:   File "/build/mts/release/bora-4887370/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 382, in _installVibs

      2018-06-02T06:41:24Z esxupdate: 71318: esxupdate: ERROR:   File "/build/mts/release/bora-4887370/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 436, in _validateAndInstallProfile

      2018-06-02T06:41:24Z esxupdate: 71318: esxupdate: ERROR: vmware.esximage.Errors.DependencyError: VIB Extrasphere_bootbank_extrasphere_3.2.2142_1.3.284 violates extensibility rule checks: ['(line 25: col 0) Element vib failed to validate content']

       

      any idea how I can fix this or just force it to upgrade?